Function
printAlignment
Prints a window of the visible layout of reads into a outstream.
printAlignment(stream, format, layout, store, contigId, posBegin, posEnd, lineBegin, lineEnd)
Include Headers
seqan/store.h
Parameters

stream | A C++ outstream, e.g. std::cout.
layout | A layout structure created by a previous call of layoutAlignment. Types: AlignedReadLayout
format | Output format. Types: Raw Remarks: This tag is used for subsequent calls of write for contig and read gaps data structures.
store | The fragment store. Types: FragmentStore
contigId | The contigId of the affected contig.
posBegin | Window begin position in gap-space.
posEnd | Window end position in gap-space.
lineBegin | Begin line of the window.
lineEnd | End line of the window.

Remarks
The window coordinates (beginPos, ...) may be chosen bigger than the layout. The empty space is then filled with whitespaces.
See Also
layoutAlignment
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48